// TicTacToe.h: interface for the CTicTacToe class.
// Author : Jimb Esser (wasteland@writeme.com)
// Date : 1-28-1
// Version : 1.0
//
//////////////////////////////////////////////////////////////////////

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WINNER_NONE 0
#define WINNER_PLAYER1 1
#define WINNER_PLAYER2 2
#define WINNER_CATSGAME 3

class CTicTacToe  
{
public:
	bool isEmpty(int x, int y);
	int getMark(int x, int y);
	void mark(int x, int y, int iPlayer);
	int getWinner(); // 1 = P1, 2 = P2, 3 = Cat's
	CTicTacToe();
	virtual ~CTicTacToe();

private:
	int m_board[3][3];
	int m_iWinner;
};

